/*!	
	@file
	@brief	静的サウンドオブジェクト
*/

#ifndef CSoundFileStatic_h
#define CSoundFileStatic_h

#include"../Setup/CompileMode.h"
#include"../Storage/CStorageObject.h"
#include"Core/CSoundObjectCore.h"

namespace Maid
{
	class CSoundFileStatic : public ISoundFileStatic
	{
	public:
		CSoundFileStatic();
		CSoundFileStatic( const CSoundFileStatic& rha );
		virtual ~CSoundFileStatic();

/*	これが継承されてきている
		void Load( const mstring& FileName );
		void Delete();
		mstring GetFileName() const;
		bool IsNowLoading();
*/

		SPSOUNDOBJECTCORE	GetSoundObjectCore();

	public:
		CSoundFileStatic& operator=( const CSoundFileStatic& rha );

	protected:
		virtual void LoadedDelete( const mstring& FileName );

		virtual void LoadEnd( const SPSTORAGEFUNCTION_RETURNPARAM& param, STATICPCMINFO& info );
		virtual void LoadEnd( const STATICPCMINFO& option  );

	private:
		SPSOUNDOBJECTCORE	m_pObject;
	};
}


#endif
